###  | #  |

Public Member Functions | List of all members
MutablePixelIteratorConcept< Iterator > Struct Template Reference
Pixel Iterator » Concepts » PixelIteratorConcept

Pixel iterator that allows for changing its pixel. More...

`#include <pixel_iterator.hpp>`

## Public Member Functions
void | constraints ()

## Detailed Description

template<typename Iterator>
struct boost::gil::MutablePixelIteratorConcept< Iterator >

Pixel iterator that allows for changing its pixel.

concept MutablePixelIteratorConcept<PixelIteratorConcept Iterator>
: MutableRandomAccessIteratorConcept<Iterator> {};
boost::gil::MutablePixelIteratorConcept
Pixel iterator that allows for changing its pixel.
Definition: concepts/pixel_iterator.hpp:210
boost::gil::PixelIteratorConcept
An STL random access traversal iterator over a model of PixelConcept.
Definition: concepts/pixel_iterator.hpp:171

The documentation for this struct was generated from the following file:

- concepts/pixel_iterator.hpp